local awmtk2 = require("awmtk2")
local wibox = require("wibox")
local gears = require("gears")
local awful = require("awful")

return function(args)
    local style = awmtk2.create_style("dismal",awmtk2.default,args.style)
    local launchpad = awful.popup({
        {
            {
                {
                    {
                        markup = "[b]Enter[/b] - run; [b]Ctrl+Enter[/b] - run in terminal",
                        widget = wibox.widget.textbox
                    },
                    layout = wibox.layout.fixed.vertical
                },
                widget = wibox.container.margin,
                margin = style.container.inner_margin
            },
            bg = style.container.bg_normal,
            widget = wibox.container.background
        },
        visible = false,
        ontop = true
    })
    root.keys = gears.table.join(
        root.keys(),
        awful.key({ global.modkey }, "0", function()
            launchpad.visible = not launchpad.visible
        end)
    )
    return launchpad
end
